org.eclipse.modisco.java.discoverer

## Class DiscoverKDMModelFromJavaProject

- java.lang.Object
- - org.eclipse.modisco.infra.discovery.core.AbstractDiscoverer<T>
  - - org.eclipse.modisco.infra.discovery.core.AbstractModelDiscoverer<IJavaProject>
    - - org.eclipse.modisco.java.discoverer.DiscoverKDMModelFromJavaProject

All Implemented Interfaces:
  IDiscoverer<IJavaProject>

    public class DiscoverKDMModelFromJavaProject
    extends AbstractModelDiscoverer<IJavaProject>

Discover a KDM model from a Java project.

### Field Summary

Fields
`static java.lang.String` `ID`

### Constructor Summary

Constructors
Constructor and Description
`DiscoverKDMModelFromJavaProject()`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `isApplicableTo(IJavaProject project)` To determine if the source object can be handled by the discoverer.

### Methods inherited from class org.eclipse.modisco.infra.discovery.core.AbstractModelDiscoverer

`discoverElement, getDefaultTargetURI, getTargetModel, getTargetURI, setSerializeTarget, setTargetModel, setTargetURI`

### Methods inherited from class org.eclipse.modisco.infra.discovery.core.AbstractDiscoverer

`isAFolder, isAJavaProject, isAnIFileWithExtension, isAProject, setRefreshSourceBeforeDiscovery`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### ID

    public static final java.lang.String ID

See Also:
  Constant Field Values

### Constructor Detail

#### DiscoverKDMModelFromJavaProject

    public DiscoverKDMModelFromJavaProject()

### Method Detail

#### isApplicableTo

    public boolean isApplicableTo(IJavaProject project)

Description copied from interface: `IDiscoverer`
To determine if the source object can be handled by the discoverer. Each discoverer has to implement this method with its own criteria to filter the selected object.

Some usual implementations are proposed on `AbstractDiscoverer`.

Parameters:
  `project` - the selected object.
Returns:
  `true` if the selected object is managed by this discoverer, `false` otherwise.